(*
  Modified by Corpsman, to Support Lazarus Linux. 01.09.2009
*)
unit delforinterf;

{$IFDEF FPC}
  {$Mode Delphi}
{$ENDIF}

interface

uses Classes, delfortypes;

const
{$IFDEF WIN32}
   (*
   Testing, aktually not supported.
   *)
   delforDLL = 'delforlazarus.dll';
{$ELSE}
   delforDLL = 'delforlazarus.so';
{$ENDIF}

procedure Formatter_Destroy; external delforDLL;
procedure Formatter_Create; external delforDLL;
procedure Formatter_LoadFromFile(AFileName: PChar; ASettings: PSettings;
SizeOfSettings: Integer); external delforDLL;
procedure Formatter_LoadFromList(AList: TStringList; ASettings: PSettings;
SizeOfSettings: Integer); external delforDLL;
function Formatter_Parse(ASettings: PSettings; SizeOfSettings: Integer): Boolean; external delforDLL;
procedure Formatter_Clear; external delforDLL;
procedure Formatter_WriteToFile(AFileName: PChar); external delforDLL;
function Formatter_GetTextStr: PChar; external delforDLL;
procedure Formatter_SetTextStr(AText: PChar); external delforDLL;
procedure Formatter_SetOnProgress(AOnProgress: TProgressEvent); external delforDLL;
procedure Formatter_LoadCapFile(ACapFile: PChar); external delforDLL;
procedure Formatter_SaveCapFile(ACapFile: PChar); external delforDLL;
function Formatter_Version: Integer; external delforDLL;

implementation

end.

 
